# Class TimerNotification

java.lang.Object
java.util.EventObject
javax.management.Notification
javax.management.timer.TimerNotification

All Implemented Interfaces:
  `Serializable`

public class TimerNotification extends Notification
This class provides definitions of the notifications sent by timer MBeans.
It defines a timer notification identifier which allows to retrieve a timer notification from the list of notifications of a timer MBean.

The timer notifications are created and handled by the timer MBean.

Since:
  1.5
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class Notification

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
This field hides the `EventObject.source` field in the parent class to make it non-transient and therefore part of the serialized form.

## Constructor Summary

Constructors
Constructor
Description
`TimerNotification(String type, Object source, long sequenceNumber, long timeStamp, String msg, Integer id)`
Creates a timer notification object.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getNotificationID()`
Gets the identifier of this timer notification.

### Methods declared in class Notification

`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`
Modifier and Type
Method
Description
`String`
`getMessage()`
Get the notification message.
`long`
`getSequenceNumber()`
Get the notification sequence number.
`long`
`getTimeStamp()`
Get the notification timestamp.
`String`
`getType()`
Get the notification type.
`Object`
`getUserData()`
Get the user data.
`void`
`setSequenceNumber(long sequenceNumber)`
Set the notification sequence number.
`void`
`setSource(Object source)`
Sets the source.
`void`
`setTimeStamp(long timeStamp)`
Set the notification timestamp.
`void`
`setUserData(Object userData)`
Set the user data.
`String`
`toString()`
Returns a String representation of this notification.

### Methods declared in class EventObject

`getSource`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### TimerNotification

public TimerNotification(String type, Object source, long sequenceNumber, long timeStamp, String msg, Integer id)
Creates a timer notification object.

Parameters:
  `type` - The notification type.
  `source` - The notification producer.
  `sequenceNumber` - The notification sequence number within the source object.
  `timeStamp` - The notification emission date.
  `msg` - The notification message.
  `id` - The notification identifier.

## Method Details

### getNotificationID

public Integer getNotificationID()
Gets the identifier of this timer notification.

Returns:
  The identifier.